Bug 131564 - up2date hangs from python script error
up2date hangs from python script error
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: up2date (Show other bugs)
2.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bret McMillan
Fanny Augustin
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-09-02 07:26 EDT by Trevor DUnne
Modified: 2007-11-30 17:06 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-19 15:21:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Trevor DUnne 2004-09-02 07:26:02 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7) Gecko/20040514

Description of problem:
I am using Redhat advance server 2.1
I have updated these rpm packages from redhat website

    * up2date-2.9.14-1.2.1AS.i386.rpm 
    * up2date-gnome-2.9.14-1.2.1AS.i386.rpm 
    * rhn_register-2.9.12-1.2.1AS.i386.rpm 
    * rhn_register-gnome-2.9.12-1.2.1AS.i386.rpm 
    * rhnlib-1.8-6.p15.noarch.rpm 9a319fb7b
    * pyOpenSSL-0.5.1-7.152.i386.rpm dc7e2c465
1:
I then register this system with redhat network 
using the command rhn_register 

2: I ran up2date-config and setup up my proxy setting and username

3: I then ran up2date from the command line 
   and I then click the next button and next again.

4: I then get the following error 

Traceback (innermost last):
  File "/usr/lib/python1.5/site-packages/libglade.py", line 28, in
__call__
    ret = apply(self.func, a)
  File "/usr/share/rhn/up2date_client/gui.py", line 432, in
onChannelsPageNext
    self.pList.run()
  File "/usr/share/rhn/up2date_client/packageList.py", line 85, in run
    self.addObsoletePackages(obsList)
  File "/usr/share/rhn/up2date_client/packageList.py", line 111, in
addObsoletePackages
    if len(obsoletePackages) == 0:
TypeError: len() of unsized object
Traceback (innermost last):
  File "/usr/lib/python1.5/site-packages/libglade.py", line 28, in
__call__
    ret = apply(self.func, a)
  File "/usr/share/rhn/up2date_client/gui.py", line 475, in
onSkippedPagePrepare
    maxlength = max(map(lambda x: len(x[0][0]), self.skipPkgList)) * 8
ValueError: min() or max() of empty sequence




Version-Release number of selected component (if applicable):


How reproducible:
Didn't try

Steps to Reproduce:
1.install redhat advance server 2.1
2.update rpm from redhat website
3.
    

Additional info:
Comment 1 Trevor DUnne 2004-09-03 08:50:39 EDT
Just found out now if you did not activated you Redhat service 
up2date does not tell you You have no channels selected 
so up2date should not let you press the next button unless you 
have a valid channel selected to update you system

Thats why I was getting the error

Comment 2 RHEL Product and Program Management 2007-10-19 15:21:37 EDT
This bug is filed against RHEL2.1, which is in maintenance phase.
During the maintenance phase, only security errata and select mission
critical bug fixes will be released for enterprise products.  Since
this bug does not meet that criteria, it is now being closed.

For more information of the RHEL errata support policy, please visit:
http://www.redhat.com/security/updates/errata/

If you feel this bug is indeed mission critical, please contact your
support representative.  You may be asked to provide detailed
information on how this bug is affecting you.

Note You need to log in before you can comment on or make changes to this bug.